<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
<!ENTITY egrave "&#232;">
<!ENTITY eacute "&#233;">
<!ENTITY agrave "&#224;">
]>
<xsl:stylesheet xmlns="http://www.w3.org/1999/xhtml" xmlns:n="http://www.xemelios.org/namespaces#cge" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">

    <xsl:param name="browser-destination"/>
    <!-- Paramètres de sortie -->
    <xsl:character-map name="accents">
        <xsl:output-character character="à" string="&amp;#224;"/>
        <xsl:output-character character="é" string="&amp;#233;"/>
        <xsl:output-character character="è" string="&amp;#232;"/>
        <xsl:output-character character="ê" string="&amp;#234;"/>
        <xsl:output-character character="ë" string="&amp;#235;"/>
        <xsl:output-character character="î" string="&amp;#238;"/>
        <xsl:output-character character="ï" string="&amp;#239;"/>
        <xsl:output-character character="ô" string="&amp;#244;"/>
        <xsl:output-character character="ù" string="&amp;#249;"/>
    </xsl:character-map>
    
    <xsl:output method="xhtml" encoding="ISO-8859-1" indent="yes" use-character-maps="accents"/>
    
    <!--xsl:include href="./common-xsl/Error.xsl"/-->
    
    <!-- Paramètres d'erreur -->
    <xsl:param name="error.message">nomessage</xsl:param>          
        
    <!-- Paramètres Web -->
    <xsl:param name="is.web">-1</xsl:param>
    <xsl:param name="context.path"/>
    
    <xsl:variable name="page-format" select="paysage"/>
    
    <xsl:template match="/n:CompteGestionEtat">
        <html>
            <head>
                <title><xsl:text>Compte de Gestion Etat : Comptable </xsl:text><xsl:value-of select="/n:CompteGestionEtat/n:Entete/n:Infos/n:Collectivite/@Libelle"/> (<xsl:value-of select="/n:CompteGestionEtat/n:Entete/n:Infos/n:Collectivite/@Siret"/>)</title>
                <style type="text/css" media="all">
                    body { font-family: verdana; font-size: 10px; width: 99%; }
                    
                    h1 { font-family: verdana, sans-serif; font-size: 24px; color: black; text-align: center; }
                    h2 { font-family: verdana, sans-serif; font-size: 21px; text-align: center; }
                    h3 { font-family: verdana, sans-serif; font-size: 16px; text-align: center; }
                    h4 { font-family: verdana, sans-serif; font-size: 14px; padding-left: 100px; }
                    
                    a { font-size: 14px; }  /* margin-left: 225px; */
                    a.nopadding { padding-left: 0px; margin-left: 0px; }
                    a#lienspe { padding-left: 225px;}
                    pre#nolink { padding-left: 225px;}
                    .c1 { width: 125px; }
                    .c2 { word-wrap: break-word; }
                    table { margin: 0px; }
                    tr { page-break-inside: avoid; }
                    img {border: none;}
                </style>
                <style type="text/css" media="print">
                    @page { font-family: verdana; font-size: 10px; size: 375mm 270mm; @bottom-right { content: counter(page) " / " counter(pages); } }
                     a {text-decoration: none;color: black;}
                </style>
                
                
                
                <!--xsl:call-template name="Error"/-->
                <script>
                    function hideDialog() {
                        var dialogBox = document.getElementById("dialogBox");
                        dialogBox.style.visibility = "hidden";
                    }
                    
                    function showDialog(content) {
                        var dialogBox = document.getElementById("dialogBox");
                        var dialogContent = document.getElementById("dialogContent");
                        dialogContent.innerHTML = content;
                        dialogBox.style.visibility = "visible";
                    }
                </script>
                <div id="dialogBox" style="visibility: hidden; position: absolute; left: 10px; top: 10px; width: 800px; height: 100px; border-style: solid; border-width: 1px; border-color: #00006A; background-color: white; z-index: 1000;">
                    <table border="0" width="100%">
                        <tr>
                            <td style="width: 100%; font-weight:bold;" id="dialogContent"></td>
                            <td valign="top" align="right">
                                <a href="javascript:hideDialog();"><img src="img/bt_fermer.gif" border="0"/></a>
                            </td>
                        </tr>
                    </table>
                </div>
            </head>
            <body>
                        <xsl:if test="$error.message!='nomessage'">
                            <xsl:attribute name="onload">javascript:showDialog('<xsl:value-of select="$error.message"/>');</xsl:attribute>
                        </xsl:if>
                <!--h1>Table des mati&egrave;res</h1-->
                <xsl:apply-templates/>
            </body>
        </html>
    </xsl:template>

    <xsl:template match="/n:CompteGestionEtat/n:Entete">
        <xsl:call-template name="header">
            <xsl:with-param name="Entete" select="."/>
            <xsl:with-param name="Titre">SOMMAIRE</xsl:with-param>
        </xsl:call-template>
        <br/>
        <br/>
    </xsl:template>

    <xsl:template match="n:Accueil"><p><xsl:apply-templates/></p></xsl:template>

    <xsl:template match="n:PageAccueil">
        <xsl:call-template name="etat">
            <xsl:with-param name="lignesAccueil" select="n:LigneAccueil"/>                
        </xsl:call-template>
    </xsl:template>

    <xsl:template name="etat">
        <xsl:param name="lignesAccueil"/>
        
        <pre>
            <h2><u>Le Compte de Gestion Etat</u></h2>
            <br/>
            <table width="100%">
            <xsl:for-each select="$lignesAccueil">
                <xsl:variable name="Etat" select="@Etat"/>
                <xsl:choose>
                    <xsl:when test="string-length(@Etat) &gt; 0">
                        <tr><td colspan="2">
                        <xsl:choose>
                            <xsl:when test="@Etat='BalanceGenerale'"><h4><u>1<sup>&#232;re</sup> PARTIE :</u> CGL / TCC</h4></xsl:when>
                            <xsl:when test="@Etat='DeveloppementRecette'"><h4><u>2<sup>&#232;me</sup> PARTIE :</u> ANNEXE I</h4></xsl:when>
                            <xsl:when test="@Etat='DeveloppementDepense'"><h4><u>3<sup>&#232;me</sup> PARTIE :</u> ANNEXE II</h4></xsl:when>
                            <xsl:when test="@Etat='ERTN'"><h4><u>4<sup>&#232;me</sup> PARTIE :</u> CHORUS</h4></xsl:when>
                        </xsl:choose>
                        </td></tr>
                        <xsl:choose>
                            <xsl:when test="@Etat='BalanceGenerale'">
                                    <tr>
                                        <td class="c1">
                                            <a class="nopadding"><xsl:variable name="collectivite" select="/n:CompteGestionEtat/n:Entete/n:Infos/n:Collectivite/@Siret"/>
                                            <xsl:variable name="budget" select="/n:CompteGestionEtat/n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                                            <xsl:variable name="exercice" select="/n:CompteGestionEtat/n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                                            <xsl:attribute name="href">xemelios:/attachment?pjId=<xsl:value-of select="concat('CompteGestionEtat-BalanceGenerale-',$collectivite,'-',$budget,'-',$exercice,'.pdf')"/>&amp;collectivite=<xsl:value-of select="$collectivite"/></xsl:attribute>
                                            <img src="xemelios:/resource?pdf-compteGestionEtat-BalanceGenerale.png"/></a></td>
                                        <td class="c2">
                                            <xsl:text disable-output-escaping="yes"><![CDATA[<a href="xemelios:/query?docId=]]></xsl:text><xsl:choose>
                                            <xsl:when test="name(/child::node()[1])='CompteGestionEtat'">compteGestionEtat</xsl:when>
                                            <xsl:otherwise><xsl:value-of select="name(/child::node()[1])"/></xsl:otherwise>
                                        </xsl:choose>
                                            <xsl:text disable-output-escaping="yes"><![CDATA[&amp;etatId=]]></xsl:text><xsl:value-of select="@Etat"/>
                                            <xsl:text disable-output-escaping="yes"><![CDATA[&amp;elementId=Page]]></xsl:text><xsl:value-of select="@Etat"/>
                                            <xsl:text disable-output-escaping="yes"><![CDATA[&amp;collectivite=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                                            <xsl:text disable-output-escaping="yes"><![CDATA[&amp;budget=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                                            <xsl:text disable-output-escaping="yes"><![CDATA[&amp;sp1=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                                            <xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:Pied/@NumPage='1']]]></xsl:text>
                                            <xsl:text disable-output-escaping="yes"><![CDATA[" >]]></xsl:text><xsl:value-of select="normalize-space(@Titre)"/><xsl:if test="count(//n:LigneSommaire[@Code=$Etat]) &gt; 0">&nbsp;(1 - <xsl:value-of select="//n:LigneSommaire[@Code=$Etat]/@LastPage"/>)</xsl:if><xsl:text disable-output-escaping="yes"><![CDATA[</a>]]></xsl:text>
                                        </td>
                                    </tr>
                            </xsl:when>
                            <xsl:otherwise>
                                    <tr>
                                        <td class="c1">&#160;</td>
                                        <td class="c2">
                                            <xsl:text disable-output-escaping="yes"><![CDATA[<a href="xemelios:/query?docId=]]></xsl:text><xsl:choose>
                                                <xsl:when test="name(/child::node()[1])='CompteGestionEtat'">compteGestionEtat</xsl:when>
                                                <xsl:otherwise><xsl:value-of select="name(/child::node()[1])"/></xsl:otherwise>
                                            </xsl:choose>
                                            <xsl:text disable-output-escaping="yes"><![CDATA[&amp;etatId=]]></xsl:text><xsl:value-of select="@Etat"/>
                                            <xsl:text disable-output-escaping="yes"><![CDATA[&amp;elementId=Page]]></xsl:text><xsl:value-of select="@Etat"/>
                                            <xsl:text disable-output-escaping="yes"><![CDATA[&amp;collectivite=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                                            <xsl:text disable-output-escaping="yes"><![CDATA[&amp;budget=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                                            <xsl:text disable-output-escaping="yes"><![CDATA[&amp;sp1=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                                            <xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:Pied/@NumPage='1']]]></xsl:text>
                                            <xsl:text disable-output-escaping="yes"><![CDATA[" >]]></xsl:text><xsl:value-of select="normalize-space(@Titre)"/><xsl:if test="count(//n:LigneSommaire[@Code=$Etat]) &gt; 0">&nbsp;(1 - <xsl:value-of select="//n:LigneSommaire[@Code=$Etat]/@LastPage"/>)</xsl:if><xsl:text disable-output-escaping="yes"><![CDATA[</a>]]></xsl:text>
                                        </td>
                                    </tr>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:when>
                    <xsl:when test="string-length(@Etat) = 0"><h4><xsl:value-of select="normalize-space(@Titre)"/></h4></xsl:when>
                    <xsl:otherwise><pre id="nolink"><xsl:value-of select="normalize-space(@Titre)"/></pre></xsl:otherwise>
                </xsl:choose>
                <br/>
            </xsl:for-each>
            </table>
            <br/>
            <!--h2><u>Les Etats Comptables</u></h2>
            <h4><xsl:value-of select="count($liste.partie/n:titres/n:titre)+1"/>EME PARTIE : </h4>
            <xsl:element name="a">
                <xsl:attribute name="id">lienspe</xsl:attribute>
                <xsl:attribute name="href">
                    <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=Solde&amp;elementId=PageSolde</xsl:text>
                    <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                    <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                    <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                    <xsl:text disable-output-escaping="yes">&amp;path=[n:EnteteSolde/@Type=RAR][n:Pied/@NumPage=1]</xsl:text>
                </xsl:attribute>
                <xsl:text disable-output-escaping="yes">Etat de solde : Reste A Recouvrer</xsl:text>
            </xsl:element>
            <h4><xsl:value-of select="count($liste.partie/n:titres/n:titre)+2"/>EME PARTIE : </h4>
            <xsl:element name="a">
                <xsl:attribute name="id">lienspe</xsl:attribute>
                <xsl:attribute name="href">
                    <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=Solde&amp;elementId=PageSolde</xsl:text>
                    <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                    <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                    <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                    <xsl:text disable-output-escaping="yes">&amp;path=[n:EnteteSolde/@Type=RAP][n:Pied/@NumPage=1]</xsl:text>
                </xsl:attribute>
                <xsl:text disable-output-escaping="yes">Etat de solde : Reste A Payer</xsl:text>
            </xsl:element>
            <h4><xsl:value-of select="count($liste.partie/n:titres/n:titre)+3"/>EME PARTIE : </h4>
            <xsl:element name="a">
                <xsl:attribute name="id">lienspe</xsl:attribute>
                <xsl:attribute name="href">
                    <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=DeveloppementSoldes&amp;elementId=PageDeveloppementSoldes</xsl:text>
                    <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                    <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                    <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                    <xsl:text disable-output-escaping="yes">&amp;path=[n:Pied/@NumPage=1]</xsl:text>
                </xsl:attribute>
                <xsl:text disable-output-escaping="yes">Etats de D&#233;veloppement Des Soldes (EDDS)</xsl:text>
            </xsl:element>
            <h4><xsl:value-of select="count($liste.partie/n:titres/n:titre)+4"/>EME PARTIE : </h4>
            <xsl:element name="a">
                <xsl:attribute name="id">lienspe</xsl:attribute>
                <xsl:attribute name="href">
                    <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=FichesBudgetaires&amp;elementId=PageFichesBudgetaires</xsl:text>
                    <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                    <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                    <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                    <xsl:text disable-output-escaping="yes">&amp;path=[n:Pied/@NumPage=1]</xsl:text>
                </xsl:attribute>
                <xsl:text disable-output-escaping="yes">Fiches Budg&#233;taires</xsl:text>
            </xsl:element>
            <h4><xsl:value-of select="count($liste.partie/n:titres/n:titre)+5"/>EME PARTIE : </h4>
            <xsl:element name="a">
                <xsl:attribute name="id">lienspe</xsl:attribute>
                <xsl:attribute name="href">
                    <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=LivreAuxiliaire&amp;elementId=PageLivreAuxiliaire</xsl:text>
                    <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                    <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                    <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                    <xsl:text disable-output-escaping="yes">&amp;path=[n:Pied/@NumPage=1]</xsl:text>
                </xsl:attribute>
                <xsl:text disable-output-escaping="yes">Livre Auxiliaire des Comptes de Tiers et des comptes Financiers</xsl:text>
            </xsl:element-->
        </pre>
    </xsl:template>


    <xsl:template name="M14">
        <xsl:param name="lignesAccueil"/>
        <xsl:variable name="liste.partie">
            <n:titres>
                <xsl:for-each select="$lignesAccueil[contains(@Titre, 'PARTIE')]">
                    <n:titre><xsl:value-of select="@Titre"/></n:titre>            
                </xsl:for-each></n:titres>
        </xsl:variable>
           
        <pre>
            <h2><u>Le Compte de Gestion sur Chiffres</u></h2>
            <br/>
            <xsl:for-each select="$lignesAccueil">
                <xsl:choose>
                    <xsl:when test="string-length(@Etat) &gt; 0">
                    <!--xsl:when test="string-length(@Etat) &gt; 0 and not(contains(@Etat,'ValeursInactives'))"-->
                        <xsl:variable name="Etat">
                            <xsl:choose>
                                <xsl:when test="@Etat='BalanceComptes'">BalanceGenerale</xsl:when>
                                <xsl:when test="@Etat='ValeursInactives'">BalanceValeursInactives</xsl:when>
                                <xsl:otherwise><xsl:value-of select="@Etat"/></xsl:otherwise>
                            </xsl:choose>                                    
                        </xsl:variable>
                        
                        <xsl:choose>
                            <xsl:when test="$browser-destination = 'internal' and not(contains(lower-case(@Titre),'annexe')) and not(contains(@Etat,'PresentationCroisee')) and not(contains(lower-case(@Etat),'actif'))">
                                <!--xsl:variable name="num.first.page"><xsl:value-of select="substring(@Titre,string-length(@Titre)-1,string-length(@Titre))"/></xsl:variable-->
                                <xsl:text disable-output-escaping="yes"><![CDATA[<a href="xemelios:/query?docId=]]></xsl:text><xsl:choose>
                                    <xsl:when test="name(/child::node()[1])='CompteGestion'">compteGestion</xsl:when>
                                    <xsl:otherwise><xsl:value-of select="name(/child::node()[1])"/></xsl:otherwise>
                                </xsl:choose>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;etatId=]]></xsl:text><xsl:value-of select="$Etat"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;elementId=Page]]></xsl:text><xsl:value-of select="$Etat"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;collectivite=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;budget=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;sp1=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                                <!--xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:Pied/@NumPage=]]></xsl:text><xsl:value-of select="$num.first.page"/><xsl:text><![CDATA[]]]></xsl:text-->
                                <!--xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:Pied/@NumPage=]]></xsl:text><xsl:value-of select="@FirstPage"/><xsl:text><![CDATA[]]]></xsl:text-->
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:start/@pageEtat='1']]]></xsl:text>
                                <xsl:text disable-output-escaping="yes"><![CDATA[" >]]></xsl:text><xsl:value-of select="normalize-space(@Titre)"/><xsl:text disable-output-escaping="yes"><![CDATA[</a>]]></xsl:text>
                            </xsl:when>
                            <xsl:when test="contains(lower-case(@Etat), 'actif') and not(contains(@Etat,'PresentationCroisee'))">
                                <pre id="nolink"><xsl:value-of select="normalize-space(@Titre)"/></pre>
                                
                                <xsl:text disable-output-escaping="yes">&nbsp;&nbsp;<![CDATA[<a href="xemelios:/query?docId=]]></xsl:text>
                                <xsl:choose>
                                    <xsl:when test="name(/child::node()[1])='CompteGestion'">compteGestion</xsl:when>
                                    <xsl:otherwise><xsl:value-of select="name(/child::node()[1])"/></xsl:otherwise>
                                </xsl:choose>
                                
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;etatId=SP_BilanActif]]></xsl:text>
                                    <xsl:text disable-output-escaping="yes"><![CDATA[&amp;elementId=PageSP_BilanActif]]></xsl:text>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;collectivite=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;budget=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;sp1=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[" >]]></xsl:text>2.1 Bilan Actif<xsl:text disable-output-escaping="yes"><![CDATA[</a>]]></xsl:text>
                                <br/>
                                <xsl:text disable-output-escaping="yes">&nbsp;&nbsp;<![CDATA[<a href="xemelios:/query?docId=]]></xsl:text>
                                <xsl:choose>
                                    <xsl:when test="name(/child::node()[1])='CompteGestion'">compteGestion</xsl:when>
                                    <xsl:otherwise><xsl:value-of select="name(/child::node()[1])"/></xsl:otherwise>
                                </xsl:choose>
                                
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;etatId=SP_BilanPassif]]></xsl:text>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;elementId=PageSP_BilanPassif]]></xsl:text>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;collectivite=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;budget=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;sp1=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:start/@pageEtat='1']]]></xsl:text>
                                <xsl:text disable-output-escaping="yes"><![CDATA[" >]]></xsl:text>2.2 Bilan Passif<xsl:text disable-output-escaping="yes"><![CDATA[</a>]]></xsl:text>
                                <br/>
                            </xsl:when>
                            <xsl:when test="contains(lower-case(@Titre),'pr&eacute;sentation') and contains(@Etat,'PresentationCroisee')">
                                <xsl:variable name="Titre" select="tokenize(normalize-space(@Titre),' : ')"/>
                                <h4><xsl:value-of select="$Titre[1]"/> :</h4>
                                <xsl:text disable-output-escaping="yes"><![CDATA[<a href="xemelios:/query?docId=]]></xsl:text><xsl:choose>
                                    <xsl:when test="name(/child::node()[1])='CompteGestion'">compteGestion</xsl:when>
                                    <xsl:otherwise><xsl:value-of select="name(/child::node()[1])"/></xsl:otherwise>
                                </xsl:choose>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;etatId=]]></xsl:text><xsl:value-of select="$Etat"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;elementId=Page]]></xsl:text><xsl:value-of select="$Etat"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;collectivite=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;budget=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;sp1=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                                <!--xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:Pied/@NumPage=]]></xsl:text><xsl:value-of select="@FirstPage+1"/><xsl:text><![CDATA[]]]></xsl:text-->
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:start/@pageEtat='1']]]></xsl:text>
                                <xsl:text disable-output-escaping="yes"><![CDATA[" >]]></xsl:text><xsl:value-of select="$Titre[2]"/><xsl:text disable-output-escaping="yes"><![CDATA[</a>]]></xsl:text>
                            </xsl:when>
                            <xsl:when test="contains(lower-case(@Titre),'signature')"><h4><xsl:value-of select="normalize-space(@Titre)"/></h4></xsl:when>
                            <xsl:otherwise><pre id="nolink"><xsl:value-of select="normalize-space(@Titre)"/></pre></xsl:otherwise>
                        </xsl:choose>
                    </xsl:when>
                    <xsl:when test="string-length(@Etat) = 0"><h4><xsl:value-of select="normalize-space(@Titre)"/></h4></xsl:when>
                    <xsl:otherwise><pre id="nolink"><xsl:value-of select="normalize-space(@Titre)"/></pre></xsl:otherwise>
                </xsl:choose>
                <br/>
            </xsl:for-each>
            <br/>
            <h2><u>Les Etats Comptables</u></h2>
            <h4><xsl:value-of select="count($liste.partie/n:titres/n:titre)+1"/>EME PARTIE : </h4>
            <xsl:element name="a">
                <xsl:attribute name="id">lienspe</xsl:attribute>
                <xsl:attribute name="href">
                    <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=Solde&amp;elementId=PageSolde</xsl:text>
                    <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                    <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                    <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                    <xsl:text disable-output-escaping="yes">&amp;path=[n:EnteteSolde/@Type=RAR][n:Pied/@NumPage=1]</xsl:text>
                </xsl:attribute>
                <xsl:text disable-output-escaping="yes">Etat de solde : Reste A Recouvrer</xsl:text>
            </xsl:element>
            <h4><xsl:value-of select="count($liste.partie/n:titres/n:titre)+2"/>EME PARTIE : </h4>
            <xsl:element name="a">
                <xsl:attribute name="id">lienspe</xsl:attribute>
                <xsl:attribute name="href">
                    <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=Solde&amp;elementId=PageSolde</xsl:text>
                    <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                    <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                    <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                    <xsl:text disable-output-escaping="yes">&amp;path=[n:EnteteSolde/@Type=RAP][n:Pied/@NumPage=1]</xsl:text>
                </xsl:attribute>
                <xsl:text disable-output-escaping="yes">Etat de solde : Reste A Payer</xsl:text>
            </xsl:element>
            <h4><xsl:value-of select="count($liste.partie/n:titres/n:titre)+3"/>EME PARTIE : </h4>
            <xsl:element name="a">
                <xsl:attribute name="id">lienspe</xsl:attribute>
                <xsl:attribute name="href">
                    <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=DeveloppementSoldes&amp;elementId=PageDeveloppementSoldes</xsl:text>
                    <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                    <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                    <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                    <xsl:text disable-output-escaping="yes">&amp;path=[n:Pied/@NumPage=1]</xsl:text>
                </xsl:attribute>
                <xsl:text disable-output-escaping="yes">Etats de D&#233;veloppement Des Soldes (EDDS)</xsl:text>
            </xsl:element>
            <h4><xsl:value-of select="count($liste.partie/n:titres/n:titre)+4"/>EME PARTIE : </h4>
            <xsl:element name="a">
                <xsl:attribute name="id">lienspe</xsl:attribute>
                <xsl:attribute name="href">
                    <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=FichesBudgetaires&amp;elementId=PageFichesBudgetaires</xsl:text>
                    <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                    <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                    <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                    <xsl:text disable-output-escaping="yes">&amp;path=[n:Pied/@NumPage=1]</xsl:text>
                </xsl:attribute>
                <xsl:text disable-output-escaping="yes">Fiches Budg&#233;taires</xsl:text>
            </xsl:element>
            <h4><xsl:value-of select="count($liste.partie/n:titres/n:titre)+5"/>EME PARTIE : </h4>
            <xsl:element name="a">
                <xsl:attribute name="id">lienspe</xsl:attribute>
                <xsl:attribute name="href">
                    <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=LivreAuxiliaire&amp;elementId=PageLivreAuxiliaire</xsl:text>
                    <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                    <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                    <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                    <xsl:text disable-output-escaping="yes">&amp;path=[n:Pied/@NumPage=1]</xsl:text>
                </xsl:attribute>
                <xsl:text disable-output-escaping="yes">Livre Auxiliaire des Comptes de Tiers et des comptes Financiers</xsl:text>
            </xsl:element>
        </pre>
    </xsl:template>
    
    <xsl:template name="M22">
        <xsl:param name="lignesAccueil"/>
        <pre>
            <h2><u>Le Compte de Gestion sur Chiffres</u></h2>
            <br/>
            <h4>1ERE PARTIE : </h4>
            <xsl:for-each select="$lignesAccueil">
                <xsl:choose>
                    <!--xsl:when test="string-length(@Etat) &gt; 0 and not(contains(@Etat,'ValeursInactives'))"-->
                    <xsl:when test="string-length(@Etat) &gt; 0">
                        <xsl:choose>
                            <!--xsl:when test="$browser-destination = 'internal' and not(contains(lower-case(@Titre),'annexe'))"-->
                            <xsl:when test="$browser-destination = 'internal' and not(contains(lower-case(@Titre),'signature'))  and not(contains(lower-case(@Etat),'actif'))">
                                <xsl:variable name="Etat">
                                    <xsl:choose>
                                        <xsl:when test="@Etat='BalanceComptes'">BalanceGenerale</xsl:when>
                                        <xsl:when test="@Etat='ValeursInactives'">BalanceValeursInactives</xsl:when>
                                        <xsl:otherwise><xsl:value-of select="@Etat"/></xsl:otherwise>
                                    </xsl:choose>                                    
                                </xsl:variable>
                                <!--xsl:variable name="num.first.page"><xsl:value-of select="substring(@Titre,string-length(@Titre)-1,string-length(@Titre))"/></xsl:variable-->
                                <xsl:text disable-output-escaping="yes"><![CDATA[<a href="xemelios:/query?docId=]]></xsl:text><xsl:choose>
                                    <xsl:when test="name(/child::node()[1])='CompteGestion'">compteGestion</xsl:when>
                                    <xsl:otherwise><xsl:value-of select="name(/child::node()[1])"/></xsl:otherwise>
                                </xsl:choose>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;etatId=]]></xsl:text><xsl:value-of select="$Etat"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;elementId=Page]]></xsl:text><xsl:value-of select="$Etat"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;collectivite=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;budget=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;sp1=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                                <!--xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:Pied/@NumPage=]]></xsl:text><xsl:value-of select="$num.first.page"/><xsl:text><![CDATA[]]]></xsl:text-->
                                <!--xsl:choose>
                                    <xsl:when test="contains(@Etat,'PresentationCroisee') or contains(lower-case(@Titre),'investissement') or contains(lower-case(@Titre),'d&eacute;pense')">
                                        <xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:Pied/@NumPage=]]></xsl:text><xsl:value-of select="@FirstPage+1"/><xsl:text><![CDATA[]]]></xsl:text>
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:Pied/@NumPage=]]></xsl:text><xsl:value-of select="@FirstPage"/><xsl:text><![CDATA[]]]></xsl:text>
                                    </xsl:otherwise>
                                    </xsl:choose-->
                                <!--xsl:choose>
                                    <xsl:when test="contains(@Etat,'Consommation') and contains(lower-case(@Titre),'d&eacute;pense')">
                                        <xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:Pied/@NumPage=]]></xsl:text><xsl:value-of select="@FirstPage+1"/><xsl:text><![CDATA[]]]></xsl:text>
                                    </xsl:when>
                                    <xsl:when test="contains(@Etat,'Consommation') and not(contains(lower-case(@Titre),'d&eacute;pense')) or contains(@Etat,'Renseignement')">
                                        <xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:Pied/@NumPage=]]></xsl:text><xsl:value-of select="@FirstPage"/><xsl:text><![CDATA[]]]></xsl:text>
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:start/@pageEtat='1']]]></xsl:text>
                                    </xsl:otherwise>
                                    </xsl:choose-->
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:start/@pageEtat='1']]]></xsl:text>
                                
                                <xsl:text disable-output-escaping="yes"><![CDATA[" >]]></xsl:text><xsl:value-of select="normalize-space(@Titre)"/><xsl:text disable-output-escaping="yes"><![CDATA[</a>]]></xsl:text>
                            </xsl:when>
                            <xsl:when test="contains(lower-case(@Etat), 'actif') and not(contains(lower-case(@Titre),'signature'))">
                                <pre id="nolink"><xsl:value-of select="normalize-space(@Titre)"/></pre>
                                
                                <xsl:text disable-output-escaping="yes">&nbsp;&nbsp;<![CDATA[<a href="xemelios:/query?docId=]]></xsl:text>
                                <xsl:choose>
                                    <xsl:when test="name(/child::node()[1])='CompteGestion'">compteGestion</xsl:when>
                                    <xsl:otherwise><xsl:value-of select="name(/child::node()[1])"/></xsl:otherwise>
                                </xsl:choose>
                                
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;etatId=SP_BilanActif]]></xsl:text>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;elementId=PageSP_BilanActif]]></xsl:text>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;collectivite=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;budget=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;sp1=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:start/@pageEtat='1']]]></xsl:text>
                                <xsl:text disable-output-escaping="yes"><![CDATA[" >]]></xsl:text>1. Bilan Actif<xsl:text disable-output-escaping="yes"><![CDATA[</a>]]></xsl:text>
                                <br/>
                                <xsl:text disable-output-escaping="yes">&nbsp;&nbsp;<![CDATA[<a href="xemelios:/query?docId=]]></xsl:text>
                                <xsl:choose>
                                    <xsl:when test="name(/child::node()[1])='CompteGestion'">compteGestion</xsl:when>
                                    <xsl:otherwise><xsl:value-of select="name(/child::node()[1])"/></xsl:otherwise>
                                </xsl:choose>
                                
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;etatId=SP_BilanPassif]]></xsl:text>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;elementId=PageSP_BilanPassif]]></xsl:text>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;collectivite=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;budget=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;sp1=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:start/@pageEtat='1']]]></xsl:text>
                                <xsl:text disable-output-escaping="yes"><![CDATA[" >]]></xsl:text>2. Bilan Passif<xsl:text disable-output-escaping="yes"><![CDATA[</a>]]></xsl:text>
                                <br/>
                            </xsl:when>
                            <xsl:otherwise><pre id="nolink"><xsl:value-of select="normalize-space(@Titre)"/></pre></xsl:otherwise>
                        </xsl:choose>
                    </xsl:when>
                    <xsl:when test="string-length(@Etat) = 0"><h4><xsl:value-of select="normalize-space(@Titre)"/></h4></xsl:when>
                    <!--xsl:otherwise><h4><xsl:value-of select="normalize-space(@Titre)"/></h4></xsl:otherwise-->
                </xsl:choose>
                <br/>
            </xsl:for-each>
            <h2><u>Les Etats Comptables</u></h2>
            <h4>2EME PARTIE : </h4>
            <xsl:element name="a">
                <xsl:attribute name="id">lienspe</xsl:attribute>
                <xsl:attribute name="href">
                    <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=Solde&amp;elementId=PageSolde</xsl:text>
                    <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                    <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                    <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                    <xsl:text disable-output-escaping="yes">&amp;path=[n:EnteteSolde/@Type=RAR][n:Pied/@NumPage=1]</xsl:text>
                </xsl:attribute>
                <xsl:text disable-output-escaping="yes">Etat de solde : Reste A Recouvrer</xsl:text>
            </xsl:element>
            <h4>3EME PARTIE : </h4>
            <xsl:element name="a">
                <xsl:attribute name="id">lienspe</xsl:attribute>
                <xsl:attribute name="href">
                    <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=Solde&amp;elementId=PageSolde</xsl:text>
                    <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                    <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                    <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                    <xsl:text disable-output-escaping="yes">&amp;path=[n:EnteteSolde/@Type=RAP][n:Pied/@NumPage=1]</xsl:text>
                </xsl:attribute>
                <xsl:text disable-output-escaping="yes">Etat de solde : Reste A Payer</xsl:text>
            </xsl:element>
            <h4>4EME PARTIE : </h4>
            <xsl:element name="a">
                <xsl:attribute name="id">lienspe</xsl:attribute>
                <xsl:attribute name="href">
                    <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=DeveloppementSoldes&amp;elementId=PageDeveloppementSoldes</xsl:text>
                    <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                    <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                    <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                    <xsl:text disable-output-escaping="yes">&amp;path=[n:Pied/@NumPage=1]</xsl:text>
                </xsl:attribute>
                <xsl:text disable-output-escaping="yes">Etats de D&#233;veloppement Des Soldes (EDDS)</xsl:text>
            </xsl:element>
            <h4>5EME PARTIE : </h4>            
            <xsl:element name="a">
                <xsl:attribute name="id">lienspe</xsl:attribute>
                <xsl:attribute name="href">
                    <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=FichesBudgetaires&amp;elementId=PageFichesBudgetaires</xsl:text>
                    <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                    <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                    <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                    <xsl:text disable-output-escaping="yes">&amp;path=[n:Pied/@NumPage=1]</xsl:text>
                </xsl:attribute>
                <xsl:text disable-output-escaping="yes">Fiches Budg&#233;taires</xsl:text>
            </xsl:element>
            <h4>6EME PARTIE : </h4>
            <xsl:element name="a">
                <xsl:attribute name="id">lienspe</xsl:attribute>
                <xsl:attribute name="href">
                    <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=LivreAuxiliaire&amp;elementId=PageLivreAuxiliaire</xsl:text>
                    <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                    <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                    <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                    <xsl:text disable-output-escaping="yes">&amp;path=[n:Pied/@NumPage=1]</xsl:text>
                </xsl:attribute>
                <xsl:text disable-output-escaping="yes">Livre Auxiliaire des Comptes de Tiers et des comptes Financiers</xsl:text>
            </xsl:element>
        </pre>
    </xsl:template>
    
    <xsl:template name="header">
        <xsl:param name="Entete"/>
        <xsl:param name="Titre"/>
        <xsl:param name="Titre.Plus"/>
        
        <table width="100%" style="border-style:none;border-width:0px;cell-padding:0px;cell-spacing:0px">
            <colgroup>
                <col width="30%"/>
                <col/>
                <col width="30%"/>
            </colgroup>
            <tbody>
                <!--tr style="border:none;">
                    <td style="border:none;" class="titre bold"><h3 style="text-align: left;"><xsl:value-of select="$Entete//n:Collectivite/@Libelle"/></h3></td>
                    <td style="border:none;" class="titre center">&nbsp;<h3>Date Edition : <xsl:call-template name="iso-date"><xsl:withttp://localhost:8080/xemeliosWeb/print.do?docId=compteGestionEtat&etatId=Accueil&elementId=PageAccueil&collectivite=947000&budget=00&path=[@Modele=%2703%27]h-param name="datebrute" select="$Entete//@DateEdition"></xsl:with-param></xsl:call-template></h3></td>
                    <td style="border:none;">&nbsp;<h3 style="text-align: right;">Nomenclature <xsl:value-of select="$Entete//n:Nomenclature/@V"/></h3></td>
                    </tr-->
                <xsl:if test="$Titre">
                    <tr>
                        <td colspan="3" style="border:none;" class="titre center">
                            <h1><xsl:value-of select="$Titre"/></h1>
                        </td>
                    </tr>  
                </xsl:if>
                <xsl:if test="number($is.web) &gt; 0">
                    <tr>
                        <td colspan="3" style="border:none;">
                            <center>
                            <xsl:element name="a">
                                <xsl:attribute name="href"><xsl:value-of select="$context.path"/>/print.do?docId=compteGestionEtat&amp;etatId=Accueil&amp;elementId=PageAccueil&amp;collectivite=<xsl:value-of select="$Entete//n:Infos/n:Collectivite/@Siret"/>&amp;budget=<xsl:value-of select="$Entete//n:Infos/n:Collectivite/@CodeBudget"/>&amp;path=[@Modele='03']</xsl:attribute>
                                <xsl:attribute name="style">text-decoration: none;</xsl:attribute><center><img src="xemelios:/resource?print.png" alt="Imprimer ..."/></center></xsl:element>
                            </center>
                        </td>
                    </tr>
                </xsl:if>
                <xsl:if test="$Titre.Plus">
                    <tr>
                        <td colspan="3" style="border:none;" class="titre center">
                            <xsl:copy-of select="$Titre.Plus/child::node()"/>  
                        </td>
                    </tr>
                </xsl:if>
                <tr style="border:none;">
                    <td style="border:none;" colspan="2" class="titre2 bold"><h3 style="text-align: left;"><xsl:value-of select="normalize-space($Entete//n:Collectivite/@Siret)"/> - <xsl:value-of select="normalize-space($Entete//n:Collectivite/@Libelle)"/></h3></td>
                    <td style="border:none;" class="titre2 right bold"><h3 style="text-align: right;">Exercice <xsl:value-of select="$Entete//n:Collectivite/@Exercice"/></h3></td>
                </tr>
            </tbody>
        </table>
    </xsl:template>
    
    <xsl:template name="iso-date">
        <xsl:param name="datebrute"/>
        <xsl:choose>
            <xsl:when test="string-length($datebrute)>0 and not(contains($datebrute,'..'))">        
                <xsl:value-of select="substring($datebrute, 9, 2)"/>
                <xsl:text>/</xsl:text>
                <xsl:value-of select="substring($datebrute,6,2)"/>
                <xsl:text>/</xsl:text>
                <xsl:value-of select="substring($datebrute, 1, 4)"/>
            </xsl:when>
            <xsl:when test="string-length($datebrute)>0 and contains($datebrute,'..')">
                <xsl:value-of select="$datebrute"/>
            </xsl:when>
            <xsl:otherwise>-</xsl:otherwise>
        </xsl:choose>
    </xsl:template>
</xsl:stylesheet>
